#include "StdAfx.h"
#include ".\LinearClassificationModelSW.h"
#using <mscorlib.dll>

using namespace IDVR::VolumeRenderer::SWVolumeRenderer::ClassificationModels;

//Constuctor.
LinearClassificationModelSW::LinearClassificationModelSW(unsigned short n_DensityScope)
{
	this->m_DensityScope = n_DensityScope;
}

//Calculates the opacity for a given raysample linear according to its density value.
RaySample* LinearClassificationModelSW::doClassification(RaySample* n_RaySample)
{
	//calculates the opacity value according to the density of the raysample and the number of graylevels
	n_RaySample->set_Opacity((float)n_RaySample->get_Density() / (float)this->m_DensityScope);
	return n_RaySample;
}

