#include "StdAfx.h"
#include "ProgressWin.h"

#using <mscorlib.dll>

using namespace IDVR;


void ProgressWin::set_Description(String *n_Description)
{
	this->lab_ProgessbarDescritpion->Text = n_Description;
	this->Refresh();
}

void ProgressWin::set_Title(String *n_Title)
{
	this->Text = n_Title;
	this->Refresh();
}

void ProgressWin::setProgressbarStep()
{
	this->prb_Progress->PerformStep();
	this->lab_ProgressDisplay->Text = String::Concat(Convert::ToString(this->prb_Progress->get_Value()), S" %"); 
	this->Refresh();
}

void ProgressWin::setProgressbarToMaximum()
{
	this->prb_Progress->set_Value(this->prb_Progress->get_Maximum());
	this->lab_ProgressDisplay->set_Text(String::Concat(Convert::ToString(this->prb_Progress->get_Value()), S" %")); 
	this->Refresh();
}

void ProgressWin::setProgressbarStepRange(int n_StepRange)
{
	this->prb_Progress->Step = n_StepRange;
}

bool ProgressWin::isWindowActive(void)
{
	return this->m_IsActive;
}

void ProgressWin::resetGUIItems(String *n_Title, String *n_Description)
{
	this->Text = n_Title;
	this->lab_ProgessbarDescritpion->Text = n_Description;
	this->lab_ProgressDisplay->Text = S"";
	this->prb_Progress->set_Value(this->prb_Progress->Minimum);
	this->lab_ProgressDisplay->set_Text(String::Concat(Convert::ToString(this->prb_Progress->Minimum), S" %"));
	this->Refresh();
}